#ifndef MAIN_MENU_DISPLAY_HPP_
#define MAIN_MENU_DISPLAY_HPP_

#include <Display/WidgetDisplay/WidgetDisplay.hpp>

/**
 * @brief The main menu display.
 */
class MainMenuDisplay final : public WidgetDisplay
{
private:
    void onSinglePlayer();
    void onMultiPlayer();
    void onSettings();
    void onCredits();
    void onQuit();
    Widget* makeVersionViewer();

public:
    MainMenuDisplay();
};

#endif